/* Для запуска не на сервере нужно поменять строку соединения */
conn / as sysdba;

/* Создает файл с результатом выполения */
spool ora_space.res

/* Задаем форматирование таблицы */
set linesize 200
set pagesize 5000
set colsep '||'
column FILE_NAME format A20

column "Tablespace" format a20
column "Used MB"    format 99,999,999
column "Free MB"    format 99,999,999
column "Total MB"   format 99,999,999
select
   fs.tablespace_name                          "Tablespace",
   (df.totalspace - fs.freespace)              "Used MB",
   fs.freespace                                "Free MB",
   df.totalspace                               "Total MB",
   round(100 * (fs.freespace / df.totalspace)) "Pct. Free"
from
   (select
      tablespace_name,
      round(sum(bytes) / 1048576) TotalSpace
   from
      dba_data_files
   group by
      tablespace_name
   ) df,
   (select
      tablespace_name,
      round(sum(bytes) / 1048576) FreeSpace
   from
      dba_free_space
   group by
      tablespace_name
   ) fs
where
/* Обязательно задаем интересующее нас имя табличного пространства для отбора fs.tablespace_name LIKE 'SKLAD%' */
   df.tablespace_name = fs.tablespace_name AND fs.tablespace_name LIKE 'SKLAD%';


/* Задаем форматирование таблицы */
set linesize 200
set pagesize 5000
set colsep '||'
column FILE_NAME format A80

/* Обязательно задаем интересующее нас имя файлов для отбора file_name LIKE '%\SKLAD.%' */
SELECT file_name, round((BYTES/1024/1024),2) total_MB FROM dba_data_files WHERE (file_name LIKE '%\SKLAD.%') ORDER by file_name;

spool off

exit